Subject: RE: Question on draft-ietf-mpls-lsr-mib-08

From: "Cheenu Srinivasan" <[email-masked]>
Date: Fri, 15 Mar 2002 10:54:41 -0500

> > I have some question for you:
> >      In the: draft-ietf-mpls-lsr-mib-08, Page 31,
> > there is the definition of mplsXCEntry, my question
> > is:
> > Why it is marked as not-accessible? Then how can the
> > cross-connect information be read out? How can the
> > MPLS topology be known?
> > 
> >      Is there any other possibility for a management
> > module to get the cross-connect information as which
> > mplsInSegmentLabel(s) is(are) connected with which
> > mplsOutSegmentLabel(s)?

Its SNMP convention that MAX-ACCESS for conceptual tables and
rows is always not-accessible. Please see RFC 2578 sec. 7.1.12.

You can retrieve instances of column objects in a conceptual
row if their MAX-ACCESS is read-only or higher.

---

From: Brahms He <[email-masked]>
Date: Fri, 15 Mar 2002 08:20:19 -0800 (PST)

Hi, Thanks for replying!

Now the scenario is: the manager want to know the
cross-connect information from a specific LSR, but
unfortunately, that information is not-accessible from
the mplsXCTable, what should it do?

Is it possible to:
    1) make the 'mplsXCIndex', 'mplsInSegmentIfIndex',
'mplsInSegmentLabel' and 'mplsOutSegmentIndex'
readable? Why to hide this information?

    Or
    
    2) Can the equivalent In and Out segment
cross-connect information from somewhere else?

Br, Brahms

> > mplsInSegmentLabel(s) is(are) connected with which

Its SNMP convention that MAX-ACCESS for conceptual
tables and
rows is always not-accessible. Please see RFC 2578
sec. 7.1.12.

You can retrieve instances of column objects in a
conceptual
row if their MAX-ACCESS is read-only or higher.

__________________________________________________
Do You Yahoo!?
Yahoo! Sports - live college hoops coverage
http://sports.yahoo.com/

---

From: Hans Sjöstrand <[email-masked]>
Date: Sun, 17 Mar 2002 17:41:41 +0100

Brahms,

This is the nature of the SNMP, that row index are defined as 
non-accessible. They are however trivial to read out, just do a 
snmpgetnext over the table and you will be able to obtain all indexes 
that you want.

This is not something specific to the LSR MIB or anything mpls related, 
this is basic SNMP. I really recommend the book "Understanding SNMP 
MIBs" by David T. Perkins to learn the rules and subtleties of SNMP mibs.

Regards
/// Hasse

Brahms He wrote:

>>>there is the definition of mplsXCEntry, my
>>>
>question
>
>>>is:
>>>Why it is marked as not-accessible? Then how can
>>>
>the
>
>>>     Is there any other possibility for a
>>>
>management
>
>>>module to get the cross-connect information as
>>>
>which
>